<?php
if ( isset( $_POST[ 'save_tc_populate_empty_owner_info' ] ) ) {
	if ( check_admin_referer( 'save_settings' ) ) {
		if ( current_user_can( 'manage_options' ) ) {

			$args = array(
				'posts_per_page' => -1,
				'post_type'		 => 'tc_tickets_instances',
                                'orderby'          => 'date',
                                'order'            => 'DESC',
				'meta_query'	 => array(
					array(
						'key'		 => 'first_name',
						'compare'	 => 'NOT EXISTS'
					),
				) );

			$posts = query_posts( $args );

			foreach ( $posts as $post ) {

				$ticket_instance = new TC_Ticket_Instance( $post->ID );
                                $order			 = new TC_Order( (int) $ticket_instance->details->post_parent );
                                $order_post_type = get_post_type($order->id);
                                if ( is_plugin_active( 'woocommerce/woocommerce.php' ) && is_plugin_active( 'bridge-for-woocommerce/bridge-for-woocommerce.php' ) && $order_post_type == 'shop_order' ) {
                                    
                                    $wc_order = new WC_Order($order->id);
                                    $first_name	 = $wc_order->billing_first_name;
                                    $last_name	 = $wc_order->billing_last_name;
                                    $owner_email = $wc_order->billing_email;

                                    add_post_meta( $post->ID, 'first_name', $first_name );
                                    add_post_meta( $post->ID, 'last_name', $last_name );
                                    add_post_meta( $post->ID, 'owner_email', $owner_email );
                                    
                                } else {
                                    
				$first_name	 = $order->details->tc_cart_info[ 'buyer_data' ][ 'first_name_post_meta' ];
				$last_name	 = $order->details->tc_cart_info[ 'buyer_data' ][ 'last_name_post_meta' ];
				$owner_email = $order->details->tc_cart_info[ 'buyer_data' ][ 'email_post_meta' ];

				add_post_meta( $post->ID, 'first_name', $first_name );
				add_post_meta( $post->ID, 'last_name', $last_name );
				add_post_meta( $post->ID, 'owner_email', $owner_email );
                            }

			}

			$message = sprintf( __( '%s tickets updated successfully.', 'tc' ), count( $posts ) );
		} else {
			$message = __( 'You do not have required permissions for this action.', 'tc' );
		}
	}
}
?>
<div class="wrap tc_wrap">
    <div id="poststuff" class="metabox-holder tc-settings">
        <form action="" method="post" enctype = "multipart/form-data">
			<?php wp_nonce_field( 'save_settings' ); ?>
            <div id="check_in_app_translation_settings" class="postbox">
                <h3 class="hndle"><span><?php _e( 'Populate Attendees Info', 'tc' ); ?></span></h3>
				<?php
				if ( isset( $message ) ) {
					?>
					<div id="message" class="updated fade"><p><?php echo esc_attr( $message ); ?></p></div>
					<?php
				}
				?>
                <div class="inside">
                    <span class="description"><?php _e( 'Click on a "Populate" button in order to populate empty attendee info with buyer info.' ) ?></span>
					<?php submit_button( __( 'Populate' ), 'primary', 'save_tc_populate_empty_owner_info' ); ?>
				</div>
			</div>
		</form>
	</div>
</div>