<?php

/*
  Plugin Name: Populate empty owner info
  Plugin URI: http://tickera.com/
  Description: Copy buyer info to attendees info where attendee info is not available
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  Copyright 2015 Tickera (http://tickera.com/)
 */

if ( !defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly

if ( !class_exists( 'TC_Populate_Empty_Owner_Info' ) ) {

	class TC_Populate_Empty_Owner_Info {

		var $version		 = '1.0';
		var $title		 = 'Check-in Notifications';
		var $name		 = 'tc';
		var $dir_name	 = 'checkin-notification';
		var $location	 = 'plugins';
		var $plugin_dir	 = '';
		var $plugin_url	 = '';

		function __construct() {
			add_filter( 'tc_settings_new_menus', array( &$this, 'tc_settings_new_menus_additional' ) );
			add_action( 'tc_settings_menu_tickera_populate_empty_owner_info', array( &$this, 'tickera_populate_empty_owner_info_show_page' ) );
		}

		function tickera_populate_empty_owner_info_show_page() {
			require_once( plugin_dir_path( __FILE__ ) . 'includes/admin-pages/settings-admin.php' );
		}
		
		function tc_settings_new_menus_additional( $settings_tabs ) {
			$settings_tabs[ 'tickera_populate_empty_owner_info' ] = __( 'Populate Attendees Info', 'tc' );
			return $settings_tabs;
		}

	}

	$TC_Populate_Empty_Owner_Info = new TC_Populate_Empty_Owner_Info();
} 